Bug 474875 - compiz: Full-screen windows move to previous workspace if gtk_window_move( GTK_WINDOW(window), -1, -1 ); called on it
compiz: Full-screen windows move to previous workspace if gtk_window_move( GT...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Adel Gadllah
Fedora Extras Quality Assurance
: Triaged
: 526128 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-05 12:48 EST by markm
Modified: 2010-08-11 08:41 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-11 08:41:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Calc opens on a wrong workspace (9.37 MB, video/ogg)
2008-12-08 04:40 EST, markm
no flags Details
standalone gtk demo (787 bytes, text/plain)
2008-12-08 12:15 EST, Caolan McNamara
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 18954 None None None Never

  None (edit)
Description markm 2008-12-05 12:48:03 EST
Description of problem:

When I double click on the spreadsheet, it opens on the wrong workspace - usually, current-1 one. 

Version-Release number of selected component (if applicable):

OpenOffice 3.0.0 shipped with fedora

How reproducible:

always

Steps to Reproduce:
1. Double click on the spreadsheet icon
  
Actual results:

OpenOffice window shows up for less then a second (empty one) then it disappears - it looks like application has crashed, but it's opened on the workspace (current-1).

Expected results:

Document should be opened on the same workspace.

Additional info:

Doubleclicking on text documents (odt) works fine, OpenOffice Writer opens on correct workspace (current). Opening OpenOffice calc from menu works fine too.

It happens on two different machines, both equipped with Fedora 10.
Comment 1 Caolan McNamara 2008-12-05 18:21:18 EST
Does this only happen when openoffice.org is already running. Or does it happen when it is not already running ?

When you say double clicking. Are we talking about double clicking directly on the background desktop, or e.g. in a nautilus window.

I assume we're talking about GNOME right, and not KDE ?
Comment 2 markm 2008-12-05 18:36:54 EST
I am using Gnome, yes.

Got a folder with my documents: ~/Documents/Current/

there I have writer's documents, calc's documents etc...

Scenario 1: OpenOffice is not running, folder is open on workspace 3, click on the document (right click then “open  with OpenOffice” or double click) - got an OpenOffice flashing for half a second on workspace 3, then shows up on 2 (with document opened).

Scenario 2: OpenOffice is running on workspace 3, folder is open on workspace 3, click on another document (right click then “open with OpenOffice” or double click) - document got opened on workspace 2.

Scenario 3: OpenOffice is not running, document is placed on the desktop, workspace 2, document gets opened on workspace 1.

Scenario 4: OpenOffice is not running, document is placed on the destkop, workspace 1, document (correctly) gets opened on workspace 1.

Scenario 5: OpenOffice is not running, document is placed in the folder, workspace 1, document gets opened on workspace 1.

Problem exists only when I am not on workspace 1, on 1 it works correctly.
Comment 3 David Tardon 2008-12-08 03:37:26 EST
Works for me.

dtaron->marek: Is calc the only application doing that (I suppose other openoffice.org apps should have the same problem)? Do you happen to have quickstarter running?
Comment 4 markm 2008-12-08 04:40:53 EST
Created attachment 326109 [details]
Calc opens on a wrong workspace

This video is an example of what is happening on my two machines:

1. Three (empty) documents: text, spreadsheet and presentation
2. Text document opens on the same workspace
3. while both spreadsheet and presentation open on wrong workspace (current-1)
Comment 5 markm 2008-12-08 04:44:25 EST
Ok, have found a fix - as seen on the video text document is not maximised, but both calc / impress documents are - unmaximising them and closing solves the problem.

My both machines had Fedora 10 fresh install with fresh user profile (not upgraded from previous versions).
Comment 6 Caolan McNamara 2008-12-08 09:47:42 EST
I suspect this may be a compiz only problem. e.g. some relation of bug 200292
Comment 7 Caolan McNamara 2008-12-08 11:43:11 EST
I think this is trigged by a move -1,-1 which comes out of a state saved into the ~/.openoffice.org dir when there is initially no settings saved, and we start out in full-screen mode, on the next launch of e.g. impress then the -1,-1 causes compiz to loose the plot.
Comment 8 Caolan McNamara 2008-12-08 12:15:27 EST
Created attachment 326148 [details]
standalone gtk demo

Here's a standalone demo

move to workspace 3
gcc `pkg-config --cflags --libs gtk+-2.0` demo.c
./a.out
click the button
window flips to workspace 2

This doesn't happen if the window is not full-screen.
Comment 9 Caolan McNamara 2009-09-29 04:48:32 EDT
*** Bug 526128 has been marked as a duplicate of this bug. ***
Comment 11 Matěj Cepl 2009-11-17 07:01:31 EST
Switching incorrect assignees to the default one.
Comment 12 Bug Zapper 2009-11-18 05:21:23 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2010-03-15 08:20:11 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Caolan McNamara 2010-08-11 08:41:36 EDT
Seems good in compiz-0.8.2

Note You need to log in before you can comment on or make changes to this bug.